# Метрики классификации

[Назад к списку компонентов](../README.md)

## Назначение

Позволяет рассчитать ряд метрик для оценки качества классификации.

## Входные порты

| Название         | Тип        |
|:-----------------|:-----------|
| Набор данных     | Таблица    |

### Структура таблицы "Набор данных"

| Метка                  | Тип                                 | Описание                 |
|:-----------------------|:------------------------------------|:-------------------------|
| Событие: истинное      | ![](./img/integer.svg) Целый        | Истинное значение события: 1 — событие произошло; 0 — событие не произошло      |
| Событие: предсказанное | ![](./img/integer.svg) Целый        | Предсказанное значение события: 1 — модель предсказала, что событие произошло; 0 — модель предсказала, что событие не произошло    |

## Выходные порты

| Название        | Тип           |
|:----------------|:--------------|
| Метрики         | Переменные    |

### Переменные в порте "Метрики"

| № | Метка                  | Тип                                    | Описание                                |
|:--|:-----------------------|:---------------------------------------|:----------------------------------------|
| 1 | Точность               | ![](./img/realnumber.svg) Вещественный | см. **Алгоритмы**                       |
| 2 | Полнота                | ![](./img/realnumber.svg) Вещественный | см. **Алгоритмы**                       |
| 3 | F1-мера                | ![](./img/realnumber.svg) Вещественный | см. **Алгоритмы**                       |
| 4 | Accuracy               | ![](./img/realnumber.svg) Вещественный | см. **Алгоритмы**                       |
| 5 | TN                     | ![](./img/integer.svg) Целый           | Количество истинноотрицательных случаев |
| 6 | FP                     | ![](./img/integer.svg) Целый           | Количество ложноположительных случаев   |
| 7 | FN                     | ![](./img/integer.svg) Целый           | Количество ложноотрицательных случаев   |
| 8 | TP                     | ![](./img/integer.svg) Целый           | Количество истинноположительных случаев |

## Алгоритмы

Точность = TP / (TP + FP)

Полнота = TP / (TP + FN)

F1-мера = 2 * (Точность * Полнота) / (Точность + Полнота)

Accuracy = (TN + TP) / (TN + FP + FN + TP)

## Дополнительная литература

1. [F-score](https://en.wikipedia.org/wiki/F-score)