# Фильтр столбцов JS

[Назад к списку компонентов](../README.md)

## Назначение

Предназначен для отбора столбцов входного набора данных по списку. Работает в двух режимах:
* оставляет в выходном наборе столбцы, имена которых есть в списке;
* исключает из выходного набора столбцы, имена которых есть в списке.

Компонент использует код на языке JS (компонент **JavaScript**).

## Входные порты

| Название        | Тип        |
|:----------------|:-----------|
| Набор данных    | Таблица    |
| Список столбцов | Таблица    |
| Переменные      | Переменные |

### Структура таблицы "Набор данных"

Структура таблицы не определена, в порте включена автосинхронизация.

### Структура таблицы "Список столбцов"

| Метка           | Тип                                | Описание                                                                                 |
|:----------------|:-----------------------------------|:-----------------------------------------------------------------------------------------|
| Имена столбцов  | ![](./img/string.svg) Строковый    | Список имен столбцов входного набора, которые необходимо оставить/исключить из выходного |

Данный порт является необязательным. 

### Переменные в порте "Переменные"

| № | Метка                    | Тип                                    | Значение   |
|:--|:-------------------------|:---------------------------------------|:-----------|
| 1 | Исключать поля по списку | ![](./img/logical.svg) Логический      | true       |
| 2 | Список полей             | ![](./img/string.svg) Строковый        | null       |

**Исключать поля по списку**:

* **true** — из выходного набора будут исключены столбцы, список которых подан на вход **Список столбцов** или указан в переменной **Список полей**, режим по умолчанию;
* **false** — в выходной набор попадут только столбцы, список которых подан на вход **Список столбцов**  или указан в переменной **Список полей**.

**Список полей** — имена столбцов, которые необходимо оставить/исключить из выходного набора, перечисленные через запятую. Данный список является приоритетным по отношению к таблице **Список столбцов** в случае, когда он заполнен.

## Выходные порты

| Название      | Тип        |
|:--------------|:-----------|
| Набор данных  | Таблица    |

### Структура таблицы "Набор данных"

Структура таблицы будет соответствовать списку столбцов на входном порте **Список столбцов**.
