# Разность дат

[Назад к списку компонентов](../README.md)

## Назначение

Компонент позволяет рассчитать разность между двумя датами. Может принимать на вход как набор данных из двух колонок, так и две переменные.

## Входные порты

| Название  | Тип        |
|:----------|:-----------|
| Даты      | Таблица    |
| Даты      | Переменные |

### Структура таблицы "Даты"

| Метка        | Тип                                | Описание        |
|:-------------|:-----------------------------------|:----------------|
| Дата 1       | ![](./img/datetime.svg) Дата/Время | Временной ряд 1 |
| Дата 2       | ![](./img/datetime.svg) Дата/Время | Временной ряд 2 |

Данный входной порт является необязательным.

### Переменные в порте "Даты"

| № | Метка  | Тип                                | Значение               |
|--:|:-------|:-----------------------------------|:-----------------------|
| 1 | Дата 1 | ![](./img/datetime.svg) Дата/Время | 01.01.2023 12:30:48    |
| 2 | Дата 2 | ![](./img/datetime.svg) Дата/Время | 03.01.2023 10:25:12    |

## Выходные порты

| Название                | Тип        |
|:------------------------|:-----------|
| Набор данных            | Таблица    |
| Переменные              | Переменные |

### Структура таблицы "Набор данных"

| Метка                 | Тип                                    | Описание                                           |
|:----------------------|:---------------------------------------|:---------------------------------------------------|
| Разность              | ![](./img/realnumber.svg) Вещественный | Математическая разность между датами               |
| Дней (Всего)          | ![](./img/integer.svg) Целый           | Разница в полных днях                              |
| Часов  (Всего)        | ![](./img/integer.svg) Целый           | Разница в полных часах                             |
| Минут  (Всего)        | ![](./img/integer.svg) Целый           | Разница в полных минутах                           |
| Секунд  (Всего)       | ![](./img/integer.svg) Целый           | Разница в секундах                                 |
| Часов (Остаток)       | ![](./img/integer.svg) Целый           | Количество часов с учетом полных дней              |
| Минут (Остаток)       | ![](./img/integer.svg) Целый           | Количество минут с учетом часов                    |
| Секунд (Остаток)      | ![](./img/integer.svg) Целый           | Количество секунд с учетом минут                   |
| Разница с учетом дней | ![](./img/string.svg) Строковый        | Прошедшее время между датами с учетом полных дней  |
| Разница в часах       | ![](./img/string.svg) Строковый        | Прошеднее время между датами в часах               |
| Дата 1                | ![](./img/datetime.svg) Дата/Время     | Исходный временной ряд 1                           |
| Дата 2                | ![](./img/datetime.svg) Дата/Время     | Исходный временной ряд 2                           |

### Переменные в порте "Переменные"

| №  | Метка                 | Тип                                    | Значение            |
|---:|:----------------------|:---------------------------------------|:--------------------|
| 1  | Разность              | ![](./img/realnumber.svg) Вещественный | 1,91                |
| 2  | Дней (Всего)          | ![](./img/integer.svg) Целый           | 1                   |
| 3  | Часов  (Всего)        | ![](./img/integer.svg) Целый           | 45                  |
| 4  | Минут  (Всего)        | ![](./img/integer.svg) Целый           | 2754                |
| 5  | Секунд  (Всего)       | ![](./img/integer.svg) Целый           | 165264              |
| 6  | Часов (Остаток)       | ![](./img/integer.svg) Целый           | 21                  |
| 7  | Минут (Остаток)       | ![](./img/integer.svg) Целый           | 54                  |
| 8  | Секунд (Остаток)      | ![](./img/integer.svg) Целый           | 24                  |
| 9  | Разница с учетом дней | ![](./img/string.svg) Строковый        | 21:54:24            |
| 10 | Разница в часах       | ![](./img/string.svg) Строковый        | 45:54:24            |
| 11 | Дата 1                | ![](./img/datetime.svg) Дата/Время     | 01.01.2023 12:30:48 |
| 12 | Дата 2                | ![](./img/datetime.svg) Дата/Время     | 03.01.2023 10:25:12 |





