# Разметка событий

[Назад к списку компонентов](../README.md)

## Назначение

Разметка событий для списка объектов во временном окне транзакций.
Это полезно, когда, например, нужно разметить бинарное поле с визитами клиентов в магазин в течение месяца.

Для входных объектов и временного окна, заданного датами, формируется поле **Событие**, которое равно `0` (`FALSE`), если в транзакциях не встретилось ни одной транзакции по данному объекту и `1` (`TRUE`), если встретилась хотя бы одна транзакция. Временное окно задается двумя датами, **Дата начала** и **Дата окончания**, попадание в окно проверяется условием `>= Дата начала` и `< Дата окончания`. 

## Входные порты

| Название            | Тип        |
|:--------------------|:-----------|
| Список объектов     | Таблица    |
| Транзакции          | Таблица    |
| Переменные          | Переменные |

### Структура таблицы "Список объектов"

| Метка         | Тип                                    | Описание                         |
|:--------------|:---------------------------------------|:---------------------------------|
| Объект        | ![](./img/string.svg) Строковый        | Уникальный идентификатор объекта |

### Структура таблицы "Транзакции"

| Метка           | Тип                                    | Описание                         |
|:----------------|:---------------------------------------|:---------------------------------|
| Объект          | ![](./img/string.svg) Строковый        | Уникальный идентификатор объекта |
| Дата транзакции | ![](./img/datetime.svg) Дата/Время     | Дата и время транзакции          |


### Переменные в порте "Переменные"

| № | Метка           | Тип                                 | Значение   |
|:--|:----------------|:------------------------------------|:-----------|
| 1 | Дата начала     | ![](./img/datetime.svg) Дата/Время  | null       |
| 2 | Дата окончания  | ![](./img/datetime.svg) Дата/Время  | null       |


1. **Дата начала** — Первая дата, начиная с которой начинаем наблюдать событие (включая эту дату).
2. **Дата окончания** — Вторая дата, на которой заканчиваем наблюдать событие (не включая эту дату).

Если даты не заданы (по умолчанию), то наблюдение события ведется во всех транзакциях.

## Выходные порты

| Название         | Тип        |
|:-----------------|:-----------|
| События          | Таблица    |

### Структура таблицы "События"

| Метка           | Тип                                 | Описание                         |
|:----------------|:------------------------------------|:---------------------------------|
| Объект          | ![](./img/string.svg) Строковый     | Уникальный идентификатор объекта |
| Событие         | ![](./img/integer.svg) Целый        | Событие 0/1                      |
| Событие         | ![](./img/logical.svg) Логический   | Событие TRUE/FALSE               |

