# Перцентиль N%

[Назад к списку компонентов](../README.md)

## Назначение

Компонент рассчитывает знаяение N-го перцентиля в ряде данных. 
Перцентиль выражается в процентах и указывает, какое значение находится ниже указанного процента данных. 
Например, если мы говорим о 75-перцентиле, то это означает, что 75% значений находятся ниже этого значения, а оставшиеся 25% значений выше.

## Входные порты

| Название          | Тип        |
|:------------------|:-----------|
| Ряд данных        | Таблица    |
| Переменные        | Переменные |

### Структура таблицы "Ряд данных"

| Метка       | Тип                                       | Описание            |
|:------------|:------------------------------------------|:--------------------|
| Значения    | ![](./img/realnumber.svg) Вещественный    | Исходный ряд данных |

### Переменные в порте "Переменные"

| № | Метка      | Тип                               | Значение |
|:--|:-----------|:----------------------------------|:---------|
| 1 | Значение N | ![](./img/integer.svg) Целый      | 95       |
| 2 | Сравнение  | ![](./img/string.svg) Строковый   | >        |

В переменной **Значение N** задается требуемое значение перцентиля в процентах.
Переменная **Сравнение** может принимать значения `>` или `<`.
Она влияет на логику формирования выходного столбца **Флаг**.

## Выходные порты

| Название          | Тип        |
|:------------------|:-----------|
| Ряд данных        | Таблица    |
| Перцентиль        | Переменные |
| Перцентиль        | Таблица    |

## Структура таблицы "Ряд данных"

| Метка       | Тип                                       | Описание          |
|:------------|:------------------------------------------|:-------------------|
| Значения    | ![](./img/realnumber.svg) Вещественный    | Исходный ряд данных|
| Флаг        | ![](./img/logical.svg) Логический         | См. ниже           |

Значение в столбце **Флаг** принимает `True`, если значение ряда больше или меньше (в зависимости от переменной **Сравнение**) перцентиля.

### Переменные в порте "Перцентиль"

| № | Метка      | Тип                                       | Значение |
|:--|:-----------|:------------------------------------------|:-----------------------|
| 1 | Перцентиль | ![](./img/realnumber.svg) Вещественный    | Рассчитанный перцентиль|

## Структура таблицы "Перцентиль"

| Метка      | Тип                                       | Описание            |
|:-----------|:------------------------------------------|:--------------------|
| Перцентиль | ![](./img/realnumber.svg) Вещественный    |Рассчитанный перцентиль|                 |