# Популярные объекты

[Назад к списку компонентов](../README.md)

## Назначение

Формирование списка популярных объектов с объединением остальных в одну категорию.

## Входные порты

| Название              | Тип        |
|:----------------------|:-----------|
| Входной набор данных  | Таблица    |
| Переменные            | Переменные |

### Структура таблицы "Входной набор данных"

| Метка         | Тип                                    | Описание                |
|:--------------|:---------------------------------------|:------------------------|
| Объект        | ![](./img/string.svg) Строковый        | Наименование объекта    |
| Показатель    | ![](./img/realnumber.svg) Вещественный | Показатель объекта      |

### Переменные в порте "Переменные"

| № | Метка                         | Тип                                 | Значение   |
|:--|:------------------------------|:------------------------------------|:-----------|
| 1 | Граница популярных объектов   | ![](./img/integer.svg) Целый        | 10         |
| 2 | Тип расчета                   | ![](./img/string.svg) Строковый     | top-k      |
| 3 | Заменить на                   | ![](./img/string.svg) Строковый     | Прочее     |

1. **Граница популярных объектов** — число или процент объектов, которые будут в списке популярных.
2. **Тип расчета** — может принимать значения:
   * *top-k* (по умолчанию) — выделить число популярных объектов от общего количества;
   * *top-%* — выделить процент популярных объектов от общего количества.
3. **Заменить на** — новое наименование, на которое будут заменены объекты не попавшие в список популярных.

## Выходные порты

| Название              | Тип        |
|:----------------------|:-----------|
| Набор данных          | Таблица    |
| Популярные объекты    | Таблица    |
| Замененные объекты    | Таблица    |

### Структура таблицы "Набор данных"

| Метка             | Тип                                      | Описание                                                                      |
|:------------------|:-----------------------------------------|:------------------------------------------------------------------------------|
| Исходный объект   | ![](./img/string.svg) Строковый          | Наименование объекта из входного набора данных                                |
| Новый объект      | ![](./img/string.svg) Строковый          | Новое наименование замененного объекта                                        |
| Показатель        | ![](./img/realnumber.svg) Вещественный   | Показатель объекта                                                            |
| Заменено          | ![](./img/logical.svg) Логический        | **true** — наименование объекта заменено, **false** — замена не осуществлялась|

### Структура таблицы "Популярные объекты"

| Метка               | Тип                                      | Описание                                                                             |
|:--------------------|:-----------------------------------------|:-------------------------------------------------------------------------------------|
| Объект              | ![](./img/string.svg) Строковый          | Наименование объекта, включая замененные                                             |
| Показатель          | ![](./img/realnumber.svg) Вещественный   | Показатель объекта                                                                   |
| Заменено            | ![](./img/logical.svg) Логический        | **true** — наименование объекта заменено, **false** — замена не осуществлялась       |
| Количество объектов | ![](./img/integer.svg) Целый             | Количество замененных и не замененных объектов                                       |

### Структура таблицы "Замененные объекты"

| Метка             | Тип                                      | Описание                                                     |
|:------------------|:-----------------------------------------|:-------------------------------------------------------------|
| Исходный объект   | ![](./img/string.svg) Строковый          | Наименование замененного объекта из входного набора данных   |
| Новый объект      | ![](./img/string.svg) Строковый          | Новое наименование замененного объекта                       |
| Показатель        | ![](./img/realnumber.svg) Вещественный   | Показатель объекта                                           |